{% extends 'userMenu/base.html' %}

{% block bodyBl%}
<h1>Create an account</h1>
<p class="paragraf">Please, sign up using the following form:</p>
<form action="." method="post">


    <label for = "user_form.login.id_for_label"><h2 class = "lgn"> {{ user_form.login.label }}*</h2></label>
    {{ user_form.login }}
    <label for = "user_form.username.id_for_label"><h2 class = "lgn"> {{ user_form.password.label }}*</h2></label>
    {{ user_form.password }}
    <label for = "user_form.password2.id_for_label"><h2 class = "lgn"> {{ user_form.password2.label }}*</h2></label>
    {{ user_form.password2 }}

    <label for = "profile_form.name.id_for_label"><h2 class = "lgn"> {{ profile_form.name.label }}</h2></label>
    {{ profile_form.name }}
    <div class="form-error">
        {{ profile_form.name.errors }}
    </div>
    <label for = "profile_form.age.id_for_label"><h2 class = "lgn"> Date of birth (dd/mm/yyyy)</h2></label>
    {{ profile_form.age }}
    <div class="form-error">
        {{ profile_form.age.errors }}
    </div>
    <label for = "profile_form.sex.id_for_label"><h2 class = "lgn"> Gender </h2></label>
    {{ profile_form.sex }}

    <div class="form-error">
        {{ profile_form.sex.errors }}
    </div>
    <label for = "profile_form.email.id_for_label"><h2 class = "lgn"> {{ profile_form.email.label }}</h2></label>
    {{ profile_form.email }}
    <div class="form-error">
        {{ profile_form.email.errors }}
    </div>
    <label for = "profile_form.phone.id_for_label"><h2 class = "lgn"> {{ profile_form.phone.label }}</h2></label>
    {{ profile_form.phone }}
    <div class="form-error">
        {{ profile_form.phone.errors }}
    </div>




    {% csrf_token %}
    <p><input type="submit" value="Create my account"></p>
</form>
{% endblock %}